spin_mutex.h File Reference
`#include "internal/_warning_suppress_enable_notice.h"`
`#include <cstddef>`
`#include <new>`
`#include "aligned_space.h"`
`#include "tbb_stddef.h"`
`#include "tbb_machine.h"`
`#include "tbb_profiling.h"`
`#include "internal/_mutex_padding.h"`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for spin_mutex.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::spin_mutex
| A lock that occupies a single byte. More...
class | tbb::spin_mutex::scoped_lock
| Represents acquisition of a mutex. More...

## Namespaces

| tbb
| The graph class.

## Macros

#define | __TBB_spin_mutex_H_include_area

## Typedefs

typedef interface7::internal::padded_mutex< spin_mutex, false > | tbb::speculative_spin_mutex
| A cross-platform spin mutex with speculative lock acquisition. More...

## Macro Definition Documentation

## __TBB_spin_mutex_H_include_area

#define __TBB_spin_mutex_H_include_area

Definition at line 20 of file spin_mutex.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.